Bug 1077795 - Review Request: copr-selinux - SELinux module for COPR
Summary: Review Request: copr-selinux - SELinux module for COPR
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Antonio T. (sagitter)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-03-18 15:13 UTC by Miroslav Suchý
Modified: 2014-11-01 01:42 UTC (History)
3 users (show)

Fixed In Version: copr-selinux-1.35-1.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-11-01 01:42:54 UTC
Type: ---
anto.trande: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Miroslav Suchý 2014-03-18 15:13:22 UTC
Spec URL: http://miroslav.suchy.cz/copr/copr-selinux.spec
SRPM URL: http://miroslav.suchy.cz/copr/copr-selinux-1.30-1.fc20.src.rpm
Description: 
COPR is lightweight build system. It allows you to create new project in WebUI,
and submit new builds and COPR will create yum repository from latest builds.

This package include SELinux targeted module for COPR


Fedora Account System Username: msuchy

Comment 1 Antonio T. (sagitter) 2014-04-10 16:49:13 UTC
Have you followed specific packaging guidelines for this module?

Comment 2 Miroslav Suchý 2014-04-10 17:33:14 UTC
No. Just common sense. Fedora does not have guidelines for selinux packages.

Comment 3 Antonio T. (sagitter) 2014-04-10 17:42:23 UTC
This wiki page is just a draft but has been recently updated: http://fedoraproject.org/wiki/SELinux_Policy_Modules_Packaging_Draft

Comment 4 Miroslav Suchý 2014-05-21 10:56:01 UTC
Updated using that draft:
Spec URL: http://miroslav.suchy.cz/copr/copr-selinux.spec
SRPM URL: http://miroslav.suchy.cz/copr/copr-selinux-1.31-1.fc20.src.rpm

Comment 5 Antonio T. (sagitter) 2014-07-01 17:19:33 UTC
%{POLICYCOREUTILSVER} is not expanded and not exist.
Avoid to use macro in the comments (you can even redouble % to disable them).
%{sbinpath} or %{_sbindir} ? :)

Comment 7 Antonio T. (sagitter) 2014-10-14 09:44:09 UTC
- This package installs files in /usr/share/selinux/mls that is owned
  by 'selinux-policy-mls'. 
  'selinux-policy-mls' should be a 'Requires' package.

- Don't use hard-coded directory as much as possible.
  Modify /usr/share/ paths.  
  

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
[!]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/selinux/mls
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[!]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[!]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
     Note: Test run failed
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Test run failed
[x]: Packages must not store files under /srv, /opt or /usr/local
     Note: Test run failed
[!]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.

===== SHOULD items =====

Generic:
[x]: Uses parallel make %{?_smp_mflags} macro.
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[ ]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
     Note: Test run failed
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: copr-selinux-1.32-1.fc22.noarch.rpm
          copr-selinux-1.32-1.fc22.src.rpm
copr-selinux.noarch: E: explicit-lib-dependency libselinux-utils
copr-selinux.src:22: W: macro-in-comment %{name}
copr-selinux.src:22: W: macro-in-comment %{version}
copr-selinux.src: W: invalid-url Source0: copr-selinux-1.32.tar.gz
2 packages and 0 specfiles checked; 1 errors, 3 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint copr-selinux
copr-selinux.noarch: E: explicit-lib-dependency libselinux-utils
1 packages and 0 specfiles checked; 1 errors, 0 warnings.
# echo 'rpmlint-done:'



Requires
--------
copr-selinux (rpmlib, GLIBC filtered):
    /bin/bash
    /bin/sh
    libselinux-utils
    policycoreutils
    policycoreutils-python
    selinux-policy
    selinux-policy-targeted



Provides
--------
copr-selinux:
    copr-selinux



Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -m fedora-rawhide-i386 -b 1077795
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 8 Miroslav Suchý 2014-10-14 10:06:14 UTC
>- This package installs files in /usr/share/selinux/mls that is owned
>  by 'selinux-policy-mls'. 
>  'selinux-policy-mls' should be a 'Requires' package.

Not true. See:
http://fedoraproject.org/wiki/Packaging:Guidelines#The_directory_is_owned_by_a_package_which_is_not_required_for_your_package_to_function

And because there is only defined targeted policy (as everywhere in Fedora) and MLS just empty, I would rather not require that selinux-policy-mls.

>- Don't use hard-coded directory as much as possible.
>  Modify /usr/share/ paths. 

Fixed


Updated:
SRPM URL: http://miroslav.suchy.cz/copr/copr-selinux-1.33-1.fc21.src.rpm
Spec URL: http://miroslav.suchy.cz/copr/copr-selinux.spec

Comment 9 Antonio T. (sagitter) 2014-10-14 10:14:58 UTC
(In reply to Miroslav Suchý from comment #8)
> >- This package installs files in /usr/share/selinux/mls that is owned
> >  by 'selinux-policy-mls'. 
> >  'selinux-policy-mls' should be a 'Requires' package.
> 
> Not true. See:
> http://fedoraproject.org/wiki/Packaging:
> Guidelines#The_directory_is_owned_by_a_package_which_is_not_required_for_your
> _package_to_function
> 


/usr/share/selinux/mls should be co-owned in that case.

Comment 10 Miroslav Suchý 2014-10-20 11:46:10 UTC
> /usr/share/selinux/mls should be co-owned in that case.

Fixed


Updated:
SRPM URL: http://miroslav.suchy.cz/copr/copr-selinux-1.34-1.fc21.src.rpm
Spec URL: http://miroslav.suchy.cz/copr/copr-selinux.spec

Comment 11 Antonio T. (sagitter) 2014-10-20 17:46:04 UTC
Package approved.

Comment 12 Miroslav Suchý 2014-10-21 09:14:40 UTC
Thanks.

Comment 13 Miroslav Suchý 2014-10-21 09:16:29 UTC
New Package SCM Request
=======================
Package Name: copr-selinux
Short Description: SELinux module for COPR
Owners: msuchy
Branches: f20 f21
InitialCC:

Comment 14 Gwyn Ciesla 2014-10-21 11:48:39 UTC
Git done (by process-git-requests).

Comment 15 Fedora Update System 2014-10-22 15:06:40 UTC
copr-selinux-1.35-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/copr-selinux-1.35-1.fc20

Comment 16 Fedora Update System 2014-10-22 15:14:07 UTC
copr-selinux-1.35-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/copr-selinux-1.35-1.fc21

Comment 17 Fedora Update System 2014-10-22 19:13:10 UTC
copr-selinux-1.35-1.fc21 has been pushed to the Fedora 21 testing repository.

Comment 18 Fedora Update System 2014-11-01 01:42:54 UTC
copr-selinux-1.35-1.fc20 has been pushed to the Fedora 20 stable repository.


Note You need to log in before you can comment on or make changes to this bug.